

global function TimeDisplay_Init


void function TimeDisplay_Init()
{
	thread UpdateTimeDisplay()
}

#if CLIENT

var ClockRui = null
int OffsetHours = 0;
int OffsetMinutes = 0;
int TimeZoneOffset = 0;
int TimeRed = 0 
int TimeBlue = 0 
int TimeGreen = 0 
float TimeX = 0
float TimeY = 0
float TimeSize = 0.0
float TimeOpacity = 0.0
string CurrentHalfofDay = " AM"
string MapName = ""


void function UpdateTimeDisplay(){
	WaitFrame()
	MapName = GetMapName()
	ClockRui = RuiCreate($"ui/cockpit_console_text_top_left.rpak", clGlobal.topoCockpitHudPermanent, RUI_DRAW_COCKPIT, 0)
	RuiSetInt(ClockRui, "maxLines", 1)
	RuiSetInt(ClockRui, "lineNum", 1)
	while(MapName == GetMapName()){
		table currentTime = GetUnixTimeParts()
		
		int month = expect int( currentTime.month )
		int day = expect int( currentTime.day )
		int hour = expect int( currentTime.hour)
		int minute = expect int( currentTime.minute)
		
		TimeOpacity = GetConVarFloat("TimeOpacity")
		TimeSize = GetConVarFloat("TimeSize")
		TimeRed = GetConVarInt("TimeColRed")/255
		TimeBlue = GetConVarInt("TimeColBlue")/255
		TimeGreen = GetConVarInt("TimeColGreen")/255
		TimeX = GetConVarFloat("TimePosX")
		TimeY = GetConVarFloat("TimePosY")
		
		RuiSetFloat2(ClockRui, "msgPos", <TimeX, TimeY, 0>)
		RuiSetFloat(ClockRui, "msgFontSize", TimeSize)
		RuiSetFloat(ClockRui, "msgAlpha", TimeOpacity)
		RuiSetFloat(ClockRui, "thicken", 0.0)
		RuiSetFloat3(ClockRui, "msgColor", <TimeRed, TimeGreen, TimeBlue>)
		
		OffsetHours = (hour + GetConVarInt("HourOffset"))
		OffsetMinutes = (minute + GetConVarInt("MinuteOffset"))
		
		if((GetMapName()) == "mp_lobby"){
				RuiSetString(ClockRui, "msgText", "")
			} else {
			while( OffsetMinutes >= 60){
				OffsetHours++
				OffsetMinutes -= 60
			}
			while( OffsetMinutes < 0){
				OffsetHours--
				OffsetMinutes += 60
			}
			if (OffsetHours < 0){
				OffsetHours = OffsetHours + 24
			}
			if (OffsetHours >= 24){
				OffsetHours = OffsetHours - 24
			}
			if (GetConVarInt("TimeMode") == 1){
				if (OffsetMinutes < 10){
					RuiSetString(ClockRui, "msgText", OffsetHours + ":" + "0" + OffsetMinutes)
				} else {
				RuiSetString(ClockRui, "msgText", OffsetHours + ":" + OffsetMinutes)
				}
			} else {
				if (OffsetHours > 11){
						CurrentHalfofDay = " PM"
						OffsetHours = (OffsetHours - 12) 
					} else {
					CurrentHalfofDay = " AM"
				}
				if (OffsetMinutes < 10){
					RuiSetString(ClockRui, "msgText", OffsetHours + ":" + "0" + OffsetMinutes + CurrentHalfofDay)
				} else {
					RuiSetString(ClockRui, "msgText", OffsetHours + ":" + OffsetMinutes + CurrentHalfofDay)
				}
			}
		}
		wait 1
	}
	RuiDestroy(ClockRui)
}

#endif